%define up_name		libXISF

%define major		0
%define libname		%mklibname xisf %{major}
%define develname	%mklibname xisf -d

Name:		libxisf
Version:	0.2.2
Release:	%mkrel 2
Summary:	Library to read/write PixInsight XISF files
License:	GPLv3+
Group:		System/Libraries
URL:		https://gitea.nouspiro.space/nou/libXISF
Source0:	https://gitea.nouspiro.space/nou/libXISF/archive/v%{version}.tar.gz#/%{up_name}-%{version}.tar.gz
BuildRequires:	cmake
BuildRequires:	cmake(Qt5Core) >= 5.14.0
BuildRequires:	cmake(Qt5Gui)
BuildRequires:	pkgconfig(liblz4)
BuildRequires:	pkgconfig(pugixml)
BuildRequires:	pkgconfig(zlib)

%description
C++ library that can read and write XISF files produced by PixInsight.

#------------------------------------------------

%package -n	%{libname}
Summary:	Library to read/write PixInsight XISF files
Group:		System/Libraries

%description -n	%{libname}
C++ library that can read and write XISF files produced
by PixInsight.

#------------------------------------------------

%package -n	%{develname}
Summary:	Development package for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	xisf-devel = %{version}-%{release}

%description -n	%{develname}
Header files for development with %{name}.

#------------------------------------------------

%prep
%autosetup -p1 -n libxisf

# fix build
sed -i 's|PkgConfig::LZ4 PkgConfig::PUGIXML PkgConfig::ZLIB|lz4 pugixml z|' CMakeLists.txt

%build
%cmake -DUSE_BUNDLED_LIBS=OFF
%cmake_build

%install
%cmake_install

# provides a pkgconfig file
mkdir -p %{buildroot}%{_libdir}/pkgconfig

cat <<EOF >libxisf.pc
prefix=%{_prefix}
exec_prefix=\${prefix}
libdir=%{_libdir}
includedir=%{_includedir}

Name: libXISF
Description: Library to read/write PixInsight XISF files
Version: %{version}
URL: %{url}
Requires: liblz4 pugixml zlib
Conflicts:
Libs: -L\${libdir} -lXISF
Libs.private: -lm
Cflags: -I\${includedir}
EOF

install -m 0644 libxisf.pc %{buildroot}%{_libdir}/pkgconfig

%files -n %{libname}
%doc README.md
%license LICENSE
%{_libdir}/libXISF.so.%{major}
%{_libdir}/libXISF.so.%{version}

%files -n %{develname}
%doc README.md
%{_includedir}/libXISF_global.h
%{_includedir}/libxisf.h
%{_libdir}/libXISF.so
%{_libdir}/pkgconfig/libxisf.pc


%changelog
* Sun Apr 09 2023 daviddavid <daviddavid> 0.2.2-2.mga9
+ Revision: 1951858
- use system lz4, pugixml and zlib
- provides a pkgconfig file

* Sun Apr 09 2023 daviddavid <daviddavid> 0.2.2-1.mga9
+ Revision: 1951853
- initial package libxisf

